/* AMXMOD script. 
* 
* (c) Copyright 2000-2002, f117bomb 
* This file is provided as is (no warranties). 
* 
*/ 

#include <amxmod> 

/* 
* amx_bury < part of nick > or < @ team > or < # index > 
* amx_unbury < part of nick > or < @ team > or < # index > 
* 
*/ 

public bury_player(admin_index,victim_index) 
{ 
   new name[32]    
   get_user_name(victim_index,name,32) 
   if (get_user_flags(victim_index)&ADMIN_IMMUNITY) 
   { 
      client_print(admin_index,print_console,"[AMX] Client ^"%s^" has immunity",name) 
      return PLUGIN_HANDLED 
   } 
   new iwpn, iwpns[32] 
   get_user_weapons(victim_index,iwpns,iwpn) 
   for(new a = 0; a < iwpn;++a) 
   { 
      new nwpn[24] 
      get_weaponname(iwpns[a],nwpn,24) 
      engclient_cmd(victim_index,"drop",nwpn) 
   } 
   new origin[3] 
   get_user_origin(victim_index, origin) 
   origin[2] -= 30 
   set_user_origin(victim_index, origin)    
   client_print(admin_index,print_console,"[AMX] Client ^"%s^" has been burried",name) 
   return PLUGIN_CONTINUE 
} 

public admin_bury(id) 
{ 
   if (!(get_user_flags(id)&ADMIN_LEVEL_A)){ 
      client_print(id,print_console,"[AMX] You have no access to that command") 
      return PLUGIN_HANDLED 
   } 
   new argc = read_argc() 
   if (argc < 2) { 
      client_print(id,print_console,"[AMX] Usage:  amx_bury < part of nick > or < @ team > or < # index >") 
      return PLUGIN_HANDLED 
   } 
   new arg1[32] 
   new arg2[32] 
   read_argv(1,arg1,32) 
   read_argv(2,arg2,32) 
   //Team 
   if (equal(arg1,"@")){ 
      new players[32], inum 
      get_players(players,inum,"e",arg2) 
      for(new i = 0 ;i < inum ;++i) 
         bury_player(id,players[i]) 
      if (inum) 
         client_print(id,print_console,"[AMX] * All non-immune clients from ^"%s^" team affected *",arg2) 
      else 
         client_print(id,print_console,"[AMX] No clients in such team") 
   } 
   //Index 
   else if (equal(arg1,"#")) { 
      if (is_user_connected(str_to_num(arg2))) 
         bury_player(id,str_to_num(arg2)) 
      else  
         client_print(id,print_console,"[AMX] Client not found") 
   } 
   //Part of Name 
   else  
   { 
      new player = find_player("lb",arg1) 
      if (player) 
         bury_player(id,player) 
      else  
         client_print(id,print_console,"[AMX] Client with that part of nick not found") 
   } 
   return PLUGIN_HANDLED 
} 

public unbury_player(admin_index,victim_index) 
{ 
   new name[32]    
   get_user_name(victim_index,name,32) 
   if (get_user_flags(victim_index)&ADMIN_IMMUNITY) 
   { 
      client_print(admin_index,print_console,"[AMX] Client ^"%s^" has immunity",name) 
      return PLUGIN_HANDLED 
   } 
   new origin[3] 
   get_user_origin(victim_index, origin) 
   origin[2] += 35 
   set_user_origin(victim_index, origin)    
   client_print(admin_index,print_console,"[AMX] Client ^"%s^" has been unburried",name) 
   return PLUGIN_CONTINUE 
} 

public admin_unbury(id) 
{ 
   if (!(get_user_flags(id)&ADMIN_LEVEL_A)){ 
      client_print(id,print_console,"[AMX] You have no access to that command") 
      return PLUGIN_HANDLED 
   } 
   new argc = read_argc() 
   if (argc < 2) { 
      client_print(id,print_console,"[AMX] Usage:  amx_unbury < part of nick > or < @ team > or < # index >") 
      return PLUGIN_HANDLED 
   } 
   new arg1[32] 
   new arg2[32] 
   read_argv(1,arg1,32) 
   read_argv(2,arg2,32) 
   //Team 
   if (equal(arg1,"@")){ 
      new players[32], inum 
      get_players(players,inum,"e",arg2) 
      for(new i = 0 ;i < inum ;++i) 
         unbury_player(id,players[i]) 
      if (inum) 
         client_print(id,print_console,"[AMX] * All non-immune clients from ^"%s^" team affected *",arg2) 
      else 
         client_print(id,print_console,"[AMX] No clients in such team") 
   } 
   //Index 
   else if (equal(arg1,"#")) { 
      if (is_user_connected(str_to_num(arg2))) 
         unbury_player(id,str_to_num(arg2)) 
      else  
         client_print(id,print_console,"[AMX] Client not found") 
   } 
   //Part of Name 
   else  
   { 
      new player = find_player("lb",arg1) 
      if (player) 
         unbury_player(id,player) 
      else  
         client_print(id,print_console,"[AMX] Client with that part of nick not found") 
   } 
   return PLUGIN_HANDLED 
} 

public plugin_init() 
{ 
   register_plugin("Admin Bury","0.7","f117bomb") 
   register_clcmd("amx_bury","admin_bury",ADMIN_LEVEL_A,"amx_bury < part of nick > or < @ team > or < # index >") 
   register_clcmd("amx_unbury","admin_unbury",ADMIN_LEVEL_A,"amx_unbury < part of nick > or < @ team > or < # index >") 
   return PLUGIN_CONTINUE 
}  
