/* AMXMOD script. 
* 
* (c) Copyright 2000-2002, RAV 
* This file is provided as is (no warranties). 
* 
* Required: ADMIN_LEVEL_A to use this command 
* 
* Command amx_float < part of nick > 
*/ 

#include <amxmod> 


public admin_float(id) 
{ 
    if (!(get_user_flags(id)&ADMIN_LEVEL_A)){ 
        client_print(id,print_console,"[AMX] You have no access to that command") 
        return PLUGIN_HANDLED 
    } 
    if (read_argc()<2) { 
        client_print(id,print_console,"[AMX] Usage:  amx_float < part of nick >") 
        return PLUGIN_HANDLED 
    } 
    new name[32] 
    read_argv(1,name,32) 
    new tokill = find_player("b",name) 
    if (tokill)    { 
        if (get_user_flags(tokill)&ADMIN_IMMUNITY){ 
            client_print(id,print_console,"[AMX] The player has immunity") 
            return PLUGIN_HANDLED 
        } 
        if (is_user_alive(tokill)==0)    { 
            client_print(id,print_console,"[AMX] Client ^"%s^" is already dead",name) 
            return PLUGIN_HANDLED 
        } 
        new origin[3] 
        get_user_origin(tokill, origin) 
        get_user_name(tokill, name , 32) 
        origin[2] += 200 
        set_user_origin(tokill, origin) 
        engclient_cmd(tokill,"drop") 
        engclient_cmd(tokill,"drop") 
        engclient_cmd(tokill,"weapon_knife") 
        set_hudmessage(200, 100, 0, -1.0, 0.30, 0, 6.0, 6.0, 0.5, 0.15, 1) 
        show_hudmessage(0,"%s is floating without weapons!!!",name) 
    } 
    else { 
        client_print(id,print_console,"[AMX] Client with that part of nick not found") 
    } 

    return PLUGIN_CONTINUE 

} 

public plugin_init() 
{ 
    register_plugin("Admin FLOAT","0.5","default") 
    register_clcmd("amx_float","admin_float",ADMIN_LEVEL_A,"amx_float < part of nick >") 
    register_cvar("Rav_adminfloat", "1.1",FCVAR_SERVER) 
    return PLUGIN_CONTINUE 
} 