/* AMXMOD script. 
* 
* (c) Copyright 2000-2002, RAV 
* This file is provided as is (no warranties). 
* 
* Required: ADMIN_LEVEL_A to use this command 
* 
* Command amx_screen < part of nick > 
* Screenshot will be taken and stored on client's PC. 
*/  

#include <amxmod> 

public admin_screen(id)  
{  
    if (!(get_user_flags(id)&ADMIN_LEVEL_A)){  
        client_print(id,print_console,"[AMX] You have no access to that command")  
        return PLUGIN_HANDLED  
    }  
    if (read_argc()<2) {  
        client_print(id,print_console,"[AMX] Usage:  amx_screen < part of nick >")  
        return PLUGIN_HANDLED  
    }  
    new name[32]  
    read_argv(1,name,32)  
    new player = find_player("b",name)  
    if (player)    {  
        if (get_user_flags(player)&ADMIN_IMMUNITY){  
            client_print(id,print_console,"[AMX] The player has immunity, leave fellow admins alone!")  
            return PLUGIN_HANDLED  
        }  
        get_user_name(player, name , 32)  
   client_cmd(player,"snapshot")   
   client_print(id,print_console,"[AMX] Screenshot has been taken on %s",name) 
   return PLUGIN_HANDLED  
    }  
    else {  
        client_print(id,print_console,"[AMX] Client with that part of nick not found")  
    }  

    return PLUGIN_CONTINUE  

}  

public plugin_init()  
{  
    register_plugin("ADMIN SCREEN","0.5","Rav")  
    register_clcmd("amx_screen","admin_screen",ADMIN_LEVEL_A,"amx_screen < part of nick >")  
    register_cvar("Rav_Adminscreen", "1.3",FCVAR_SERVER)  
    return PLUGIN_CONTINUE  
}   
