/* AMX Mod script. 
* 
* (c) Copyright 2002, OLO 
* This file is provided as is (no warranties). 
* modified by Hephaistos from djeyl.net (original plugin is "weapon tracers") 
*/ 

#include <amxmod> 


new lastammo[33] 
new lastsend[33] 

public make_tracer(id) 
{ 
   new tracer = get_cvar_num("amx_war_tracers") 
   new ammo = read_data(3) 
   if ( (tracer==1) && (lastammo[id]>ammo) && (++lastsend[id] > 0) ) { /* every 1st bullet, make tracer for "++lastsend[id] > n" where tracer per bullet are n+1 */ 
      new vec1[3], vec2[3] 
      get_user_origin(id,vec1,1) 
      get_user_origin(id,vec2,3) 
      message_begin(MSG_PAS, SVC_TEMPENTITY,vec1 ) 
      write_byte( 6 ) /* TE_TRACER - see commo/const.h in HLSDK */ 
      write_coord(vec1[0]) 
      write_coord(vec1[1]) 
      write_coord(vec1[2]) 
      write_coord(vec2[0]) 
      write_coord(vec2[1]) 
      write_coord(vec2[2]) 
      message_end() 
      lastsend[id] = 0 
   } 
   lastammo[id] = ammo 
} 

public plugin_init() 
{ 
   register_plugin("Tracers","0.5","default") 
   register_event("CurWeapon","make_tracer","be","1=1","3>0") /* to alive player on currently handled not empty weapons */ 
   register_cvar("amx_war_tracers","0") 

   return PLUGIN_CONTINUE 
}   
