/* AMXMOD script. 
* 
* (c) Copyright 2000-2002, f117bomb 
* This file is provided as is (no warranties). 
* 
*/ 

#include <amxmod> 

/* 
* amx_slap < part of nick > or < @ team > or < # index > [ life to take ] 
* 
*/ 

new bloodspray  
new blooddrop 

blood(vec1[3]) 
{ 
   message_begin( MSG_BROADCAST,SVC_TEMPENTITY,vec1) 
   write_byte( 115 ) 
   write_coord(vec1[0]) 
   write_coord(vec1[1]) 
   write_coord(vec1[2] +25) 
   write_short( bloodspray ) 
   write_short( blooddrop ) 
   write_byte( 70 ) // color index 
   write_byte( 15 ) // size 
   message_end() 
} 

public slap_player(admin_index,victim_index,heath_take) 
{ 
   new name[32]    
   get_user_name(victim_index,name,32) 
   if (get_user_flags(victim_index)&ADMIN_IMMUNITY) 
   { 
      client_print(admin_index,print_console,"[AMX] Client ^"%s^" has immunity",name) 
      return PLUGIN_HANDLED 
   } 
   //Create Fx 
   new origin[3] 
   get_user_origin(victim_index,origin) 
   blood(origin) 
   //Avoid user being slapped dead. 
   new user_heath = get_user_health(victim_index) 
   if (heath_take < user_heath) 
      user_slap(victim_index,heath_take) 
   else  
      user_slap(victim_index,user_heath - 1) 
   client_print(admin_index,print_console,"[AMX] Client ^"%s^" has been slapped",name) 
   return PLUGIN_CONTINUE 
} 

public admin_slap(id) 
{ 
   if (!(get_user_flags(id)&ADMIN_LEVEL_A)){ 
      client_print(id,print_console,"[AMX] You have no access to that command") 
      return PLUGIN_HANDLED 
   } 
   new argc = read_argc() 
   if (argc < 2) { 
      client_print(id,print_console,"[AMX] Usage:  amx_slap < part of nick > or < @ team > or < # index > [ life to take ]") 
      return PLUGIN_HANDLED 
   } 
   new arg1[32] 
   new arg2[32] 
   new arg3[32] 
   read_argv(1,arg1,32) 
   read_argv(2,arg2,32) 
   read_argv(3,arg3,32) 
   //Team 
   if (equal(arg1,"@")){ 
      new players[32], inum 
      get_players(players,inum,"e",arg2) 
      for(new i = 0 ;i < inum ;++i) 
         slap_player(id,players[i],str_to_num(arg3)) 
      if (inum) 
         client_print(id,print_console,"[AMX] * All non-immune clients from ^"%s^" team affected *",arg2) 
      else 
         client_print(id,print_console,"[AMX] No clients in such team") 
   } 
   //Index 
   else if (equal(arg1,"#")) { 
      if (is_user_connected(str_to_num(arg2))) 
         slap_player(id,str_to_num(arg2),str_to_num(arg3)) 
      else  
         client_print(id,print_console,"[AMX] Client not found") 
   } 
   //Part of Name 
   else  
   { 
      new player = find_player("lb",arg1) 
      if (player) 
         slap_player(id,player,str_to_num(arg2)) 
      else  
         client_print(id,print_console,"[AMX] Client with that part of nick not found") 
   } 
   return PLUGIN_HANDLED 
} 

public plugin_precache() 
{    
   bloodspray = precache_model("sprites/bloodspray.spr") 
   blooddrop = precache_model("sprites/blood.spr") 
   return PLUGIN_CONTINUE 
} 

public plugin_init() 
{ 
   register_plugin("Admin Slap","0.7","f117bomb") 
   register_clcmd("amx_slap","admin_slap",ADMIN_LEVEL_A,"amx_slap < part of nick > or < @ team > or < # index > [ life to take ]") 
   return PLUGIN_CONTINUE 
} 
  
