/*
Copyright (C) 2002 Aaron J. Drabeck 

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#define MAX_PLAYERS 32
#define MAX_NAME_LENGTH 32
#define MAX_DATA_LENGTH 256
#define ON 1
#define OFF 0
#define YES 1
#define NO 0

#include <amxmod>

new TK[MAX_PLAYERS][MAX_PLAYERS] /* format: killer/victim (For use with Victim Menu) */
new TKHistory[MAX_PLAYERS][MAX_PLAYERS] /* format: killer/victim (For use with /whotkedme)*/
new MenuNeeded[MAX_PLAYERS]
new gMenu 
new KickMe[MAX_PLAYERS] 
new taAllowed = YES 
new TA[MAX_PLAYERS]
new light
new white
new smoke
new fire
new gonnaDie[MAX_PLAYERS] 
//Chicken vars
new ChickenCount
new StoredPreChickenName[MAX_PLAYERS][MAX_NAME_LENGTH]
new PlayerIsChicken[MAX_PLAYERS]
//Jail vars
new JailedCount
new StoredPreJailName[MAX_PLAYERS][MAX_NAME_LENGTH]
new PlayerIsJailed[MAX_PLAYERS]
new PreJailOrigin[MAX_PLAYERS][3]
//Glowing var
new PlayerIsGlowing[MAX_PLAYERS]
//Timebomb
new countdown = 10

/**********************************  UNJAIL FUNCTION *****************************/
public un_jail(skIndex[]) 
{
	new kIndex = str_to_num(skIndex)
	new kName[32]
	get_user_name(kIndex,kName,32)
	if (is_user_alive(kIndex) == 1) 
		if(PlayerIsJailed[kIndex] == YES) 
		{
			client_cmd(kIndex,"name ^"%s^"",StoredPreJailName[kIndex])
			client_print(0,print_console,"* [ATAC] %s has served his jail sentence.",kName)
			set_user_origin(kIndex,PreJailOrigin[kIndex])
			PlayerIsJailed[kIndex] = NO
			JailedCount -= 1
		}
}

/********************************** TIME BOMB FUNCTION *****************************/
public time_bomb(skIndex[32]) {
		
	new speak[11][] = { "fire!", "one", "two", "three", "four", "five", "six", "seven", "eight", "nine", "ten" } 
	new kIndex = str_to_num(skIndex)
	new red = random_num(0,255)
	new green = random_num(0,255)
	new blue = random_num(0,255)
	new alpha = random_num(100,255)
	new kName[MAX_NAME_LENGTH]
	new players[32], inum
	get_user_name(kIndex,kName,MAX_NAME_LENGTH)
	
	if (is_user_alive(kIndex) == 1) 
	{
		set_hudmessage(red, green, blue, -1.0, 0.25, 0, 1.2, 1.2, 0.5, 0.15, 5)	
		if (countdown >= 1)
		{
			//Glow Me 
			set_user_rendering(kIndex,kRenderFxGlowShell,red,green,blue,kRenderTransAlpha,alpha)
			//Annouce Me
			get_players(players,inum,"c")
			for(new i = 0 ;i < inum; ++i)
				client_cmd(players[i],"speak ^"fvox/%s^"",speak[countdown])
			show_hudmessage(0,"%s will explode in %i",kName,countdown)
			countdown -= 1 
			//Call Agian
			set_task( 1.0, "time_bomb", 0, skIndex, 32)
		}
		else 
		{
			set_user_rendering(kIndex,kRenderFxGlowShell,0,0,0,kRenderTransAlpha,255)
			get_players(players,inum,"c")
			for(new i = 0 ;i < inum; ++i)
				client_cmd(players[i],"speak ^"fvox/%s^"",speak[countdown])	
			show_hudmessage(0,"FIRE!",kName)
			slay(kIndex,3)
			countdown = 10		
			if( get_cvar_num("atac_explosion_ap") == 1 ) 
			{				
				get_players(players,inum,"a")
				for(new i = 0 ;i < inum; ++i)
				{
					new pOrigin[3]					
					new kOrigin[3]
					get_user_origin(players[i],pOrigin)
					get_user_origin(kIndex,kOrigin)				
					if( get_cvar_num("atac_explosion_range") > get_distance(kOrigin,pOrigin)) 
						slay(players[i],0)
				}
			}
			
		}
		
	}
	else 
	{
		set_user_rendering(kIndex,kRenderFxGlowShell,0,0,0,kRenderTransAlpha,255)
		countdown = 10
	}	
}

public ta_NA_timer() 
{
	taAllowed = YES
}

slay(id,type)
{
	if (is_user_alive(id)==1)
	{
		new origin[3]
		get_user_origin(id,origin)
		origin[2] = origin[2] - 26
		new sorigin[3]
		sorigin[0] = origin[0] + 150
		sorigin[1] = origin[1] + 150
		sorigin[2] = origin[2] + 400
		if (type==1)
		{		
			lightning(sorigin,origin)
			emit_sound(id,CHAN_ITEM, "ambience/thunder_clap.wav", 1.0, ATTN_NORM, 0, PITCH_NORM)
		}
		if (type==2) 
			explode(origin)	
			
		if (type==3) 
			fireball(origin)
				
		user_kill(id,1)
	}
}

public client_disconnect(id)
{
	//If disconnecting player has been killed by anyone erase history of it.
	for(new i = 0 ;i < MAX_PLAYERS; ++i)
	{
		if(TK[i][id] > 0) 
			TK[i][id] = 0
		if(TKHistory[i][id] > 0)
			TKHistory[i][id] = 0
	}
	
	//If disconnecting player has killed anyone erase history of it. 
	for(new h = 0 ;h < MAX_PLAYERS; ++h) 
	{
		if(TK[id][h] > 0) 
			TK[id][h] = 0
		if(TKHistory[id][h] > 0) 
			TKHistory[id][h] = 0
	}
	
	new blank[MAX_NAME_LENGTH]
	StoredPreJailName[id] = blank
	StoredPreChickenName[id] = blank
	PlayerIsChicken[id] = NO
	PlayerIsJailed[id] = NO
	MenuNeeded[id] = NO
	gonnaDie[id] = NO
	KickMe[id] = 0
}

public preround_start()
{
	for(new i = 0 ;i < MAX_PLAYERS; ++i)
	{
		if (gonnaDie[i] > 0)
		{
			slay(i,1)
			gonnaDie[i] -= 1
		} 
		if(PlayerIsChicken[i] == YES) 
		{
			new kName[32]
			get_user_name(i,kName,32)
			server_cmd("c_unchicken # %i", i)
			if (get_cvar_num("atac_handlenames") == 1)
				client_cmd(i,"name ^"%s^"",StoredPreChickenName[i])
			client_print(0,print_console,"* [ATAC] %s has been turned back to a human form.",kName)
			PlayerIsChicken[i] = NO
			ChickenCount -= 1
		}
		if(PlayerIsJailed[i] == YES) 
		{
			if (get_cvar_num("atac_handlenames") == 1)
				client_cmd(i,"name ^"%s^"",StoredPreJailName[i])
			client_print(0,print_console,"* [ATAC] %s has served his jail sentence.",i)
			PlayerIsJailed[i] = NO
			JailedCount -= 1
		}
		if (PlayerIsGlowing[i] == YES)
		{
			set_user_rendering(i,kRenderFxGlowShell,0,0,0,kRenderTransAlpha,255)
			PlayerIsGlowing[i] = NO
		}
	}
}

public Round_Time()
{
	new roundtime = floatround(get_cvar_float("mp_roundtime") * 60.0)
	//Round Start at start of freeze time
	if (get_cvar_float("mp_freezetime") == read_data(1))
		set_task( 1.0 , "preround_start")
	//Round Start after freezetime
	if (roundtime == read_data(1))
	{
		if(get_cvar_num("atac_tanotallowedfor") != OFF) 
		{
			taAllowed = NO /*Set timer for TA within x seconds get slayed. */
			set_task( get_cvar_float("atac_tanotallowedfor") , "ta_NA_timer")	
		}
		for(new i = 0 ;i < MAX_PLAYERS; ++i) 
			TA[i] = 0
	}
	return PLUGIN_CONTINUE
}

public damage_msg(vIndex)
{ 
	if (get_cvar_num("atac_tacontrol") == 1)
	{
		new weapon
		new aIndex = get_user_attacker(vIndex,weapon)
		new aName[MAX_NAME_LENGTH] 
		new damage = read_data(2)
		get_user_name(aIndex,aName,MAX_NAME_LENGTH)

		if (get_user_team(aIndex) == get_user_team(vIndex) && vIndex != aIndex)	
		{
			//Set hud msg format 
			if(get_user_team(aIndex) == 1) 
				set_hudmessage(140, 0, 0, 0.75, 0.50, 0, 3.0, 3.0, 0.5, 0.15, 4)
			else if(get_user_team(aIndex) == 2) 
				set_hudmessage(0, 100, 200, 0.75, 0.50, 0, 3.0, 3.0, 0.5, 0.15, 4)
			 
			if(get_user_flags(aIndex)&ADMIN_IMMUNITY && get_cvar_num("atac_admins_immune") == YES ) 
				show_hudmessage(aIndex,"[ATAC]:^nTEAMATTACK WARNING IMMUNE^n(Damage Inflicted:%i)",damage)
			else 
			{
				if(taAllowed == NO && get_cvar_num("atac_tanotallowedfor") != OFF) {
					
					if(get_user_team(aIndex) == 1) 
						set_hudmessage(140, 0, 0, 0.05, 0.50, 0, 6.0, 6.0, 0.5, 0.15, 4)
					else if(get_user_team(aIndex) == 2) 
						set_hudmessage(0, 100, 200, 0.05, 0.50, 0, 6.0, 6.0, 0.5, 0.15, 4)
					show_hudmessage(0,"[ATAC]:^n%s is slayed for attacking a teammate within %i secs of new round",aName,get_cvar_num("atac_tanotallowedfor"))				
					slay(aIndex,1)
				}
				//If TA is allowed Slay if enabled and print msg. 
				else if(taAllowed == YES) 
				{		 
					//increase attackers TA by index
					TA[aIndex]+= 1; 					
					show_hudmessage(aIndex,"[ATAC]:^nTEAMATTACK WARNING %i/%i^n(Damage Inflicted:%i) ", TA[aIndex], get_cvar_num("atac_ta_equal_v"),damage)				
								
					if (get_cvar_num("atac_ta_slap") == ON) 
						user_slap(aIndex,0)
						
					if (get_cvar_num("atac_ta_mirrordmg") == ON) 
					{
						new aHeath = get_user_health(aIndex)
						if(damage > aHeath)
							set_user_health(aIndex,1)
						else
							set_user_health(aIndex,aHeath - damage)
					}
					if (get_cvar_num("atac_ta_restore") == ON) 
						if (is_user_alive(vIndex) == 1) 
						{
							new vHeath = get_user_health(vIndex)
							set_user_health(vIndex,vHeath + damage)	
						}
					
					
					if (TA[aIndex] == get_cvar_num("atac_ta_equal_v")) 
					{ 
						//if TA is equal to get_cvar_num("atac_ta_equal_v") then treat it as tk (add 1 TK point)
						KickMe[aIndex] += 1;
						check_v(aIndex)
						//reset TA count
						TA[aIndex] = 0					
						if (get_cvar_num("atac_slayonmaxtas") == ON) 
						{
							slay(aIndex,1)
						}
					}
				
				}
			}
		}
	}	
	return PLUGIN_CONTINUE
}

check_v(kIndex) {
	//Check to see if player has any TK's left
	new kName[MAX_NAME_LENGTH]
	new kAuthid[MAX_DATA_LENGTH]
	new kIP[MAX_DATA_LENGTH]
	new Date[MAX_DATA_LENGTH]
	new BanInfo[MAX_DATA_LENGTH]
	
	get_user_name(kIndex,kName,MAX_NAME_LENGTH)
	get_user_authid(kIndex,kAuthid,MAX_DATA_LENGTH)
	get_user_ip(kIndex,kIP,MAX_DATA_LENGTH,1)
	get_time("%m/%d/%y %H:%M:%S",Date,MAX_DATA_LENGTH)
	
	//Set hud msg format 
	if(get_user_team(kIndex) == 1) 
		set_hudmessage(140, 0, 0, 0.05, 0.50, 0, 6.0, 6.0, 0.5, 0.15, 4)
	else if(get_user_team(kIndex) == 2) 
		set_hudmessage(0, 100, 200, 0.05, 0.50, 0, 6.0, 6.0, 0.5, 0.15, 4)
				
	//Check if user needs to be banned.
	if (KickMe[kIndex] >= get_cvar_num("atac_tk_before_ban")) 
	{
		if(get_cvar_num("atac_banvia") == 1 || get_cvar_num("atac_banvia") == 2) 
		{
			if(get_cvar_num("atac_bantime") == 0)
			{
				client_print(kIndex,print_console,"You have been banned permanently for Team Kill Violations.")	
				show_hudmessage(0,"[ATAC]:^nTEAM KILL VIOLATION %i/%i for %s.^nBanning permanently...",KickMe[kIndex],get_cvar_num("atac_tk_before_ban"),kName)							
				format(BanInfo ,MAX_DATA_LENGTH ,"L %s - ^"%s<%s><%s>^" ^"Team Kill Violations: %i of %i banned permanently^" ",Date,kName,kIP,kAuthid,KickMe[kIndex],get_cvar_num("atac_tk_before_ban"))	
			}
			else if(get_cvar_num("atac_bantime") != 0)
			{
				client_print(kIndex,print_console,"You have been banned for %i mins for Team Kill Violations.",get_cvar_num("atac_bantime"))	
				show_hudmessage(0,"[ATAC]:^nTEAM KILL VIOLATION %i/%i for %s.^nBanning for %i mins...",KickMe[kIndex],get_cvar_num("atac_tk_before_ban"),kName,get_cvar_num("atac_bantime"))
				format(BanInfo ,MAX_DATA_LENGTH ,"L %s - ^"%s<%s><%s>^" ^"Team Kill Violations: %i of %i banned for %i min^" ",Date,kName,kIP,kAuthid,KickMe[kIndex],get_cvar_num("atac_tk_before_ban"),get_cvar_num("atac_bantime"))
			}
		} 
		if(get_cvar_num("atac_banvia") == 3)
		{
			client_print(kIndex,print_console,"You have been kicked for Team Kill Violations.")	
			show_hudmessage(0,"[ATAC]:^nTEAM KILL VIOLATION %i/%i for %s.^nKicking...",KickMe[kIndex],get_cvar_num("atac_tk_before_ban"),kName)							
			format(BanInfo ,MAX_DATA_LENGTH ,"L %s - ^"%s<%s><%s>^" ^"Team Kill Violations: %i of %i kicked from server.^" ",Date,kName,kIP,kAuthid,KickMe[kIndex],get_cvar_num("atac_tk_before_ban"))
		}	
		write_file("addons\amx\plugins\atac\atacban.log",BanInfo,-1)
		//Ban Player
		if(get_cvar_num("atac_banvia") == 1) 
			server_cmd("banid %i %s kick",get_cvar_num("atac_bantime"),kAuthid)
		else if(get_cvar_num("atac_banvia") == 2) 
		{
			//IP BIT
			server_cmd("addip %i %s",get_cvar_num("atac_bantime"),kIP)		
			server_cmd("kick # %s",kAuthid)
		}	
		else if(get_cvar_num("atac_banvia") == 3) 		
			server_cmd("kick #%d",get_user_userid(kIndex))		
	} 
	else
	{
		if(get_cvar_num("atac_bantime") == 0 && get_cvar_num("atac_banvia") == 1 || get_cvar_num("atac_banvia") == 2) 
			show_hudmessage(0,"[ATAC]:^nTEAM KILL VIOLATION %i/%i for %s.^nOn %i you will be banned permanently.",KickMe[kIndex],get_cvar_num("atac_tk_before_ban"),kName,get_cvar_num("atac_tk_before_ban"))
		else if(get_cvar_num("atac_bantime") != 0 && get_cvar_num("atac_banvia") == 1 || get_cvar_num("atac_banvia") == 2)
			show_hudmessage(0,"[ATAC]:^nTEAM KILL VIOLATION %i/%i for %s.^nOn %i you will be banned for %i mins",KickMe[kIndex],get_cvar_num("atac_tk_before_ban"),kName,get_cvar_num("atac_tk_before_ban"),get_cvar_num("atac_bantime"))							
		else if(get_cvar_num("atac_banvia") == 3)
			show_hudmessage(0,"[ATAC]:^nTEAM KILL VIOLATION %i/%i for %s.^nOn %i you will be kicked",KickMe[kIndex],get_cvar_num("atac_tk_before_ban"),kName,get_cvar_num("atac_tk_before_ban"))	
	}
	return PLUGIN_CONTINUE;
}

explode(vec1[3])
{
	// blast circles
	message_begin( MSG_BROADCAST,SVC_TEMPENTITY,vec1)
	write_byte( 21 )
	write_coord(vec1[0])
	write_coord(vec1[1])
	write_coord(vec1[2] + 16)
	write_coord(vec1[0])
	write_coord(vec1[1])
	write_coord(vec1[2] + 1936)
	write_short( white )
	write_byte( 0 ) // startframe
	write_byte( 0 ) // framerate
	write_byte( 2 ) // life
	write_byte( 16 ) // width
	write_byte( 0 ) // noise
	write_byte( 188 ) // r
	write_byte( 220 ) // g
	write_byte( 255 ) // b
	write_byte( 255 ) //brightness
	write_byte( 0 ) // speed
	message_end()
	
	//Explosion2
	message_begin( MSG_BROADCAST,SVC_TEMPENTITY)
	write_byte( 12 )
	write_coord(vec1[0])
	write_coord(vec1[1])
	write_coord(vec1[2])
	write_byte( 188 ) // byte (scale in 0.1's)
	write_byte( 10 ) // byte (framerate)
	message_end()
	
	//Smoke
	message_begin( MSG_BROADCAST,SVC_TEMPENTITY,vec1)
	write_byte( 5 )
	write_coord(vec1[0])
	write_coord(vec1[1])
	write_coord(vec1[2])
	write_short( smoke )
	write_byte( 2 ) 
	write_byte( 10 ) 
	message_end()
}

fireball(vec1[3])
{
	//client_print(0,print_console,"Test")
	message_begin( MSG_BROADCAST,SVC_TEMPENTITY,vec1)
	write_byte( 17 )
	write_coord(vec1[0])
	write_coord(vec1[1])
	write_coord(vec1[2] +256)
	write_short( fire )
	write_byte( 120 ) // scale * 10
	//get_cvar_num("atac_explosion_range") / 10
	write_byte( 255 ) // brightness
	message_end()
}

lightning(vec1[3],vec2[3])
{
	//Lightning
	message_begin( MSG_BROADCAST,SVC_TEMPENTITY)
	write_byte( 0 )
	write_coord(vec1[0])
	write_coord(vec1[1])
	write_coord(vec1[2])
	write_coord(vec2[0])
	write_coord(vec2[1])
	write_coord(vec2[2])
	write_short( light )
	write_byte( 1 ) // framestart
	write_byte( 5 ) // framerate
	write_byte( 2 ) // life
	write_byte( 20 ) // width
	write_byte( 30 ) // noise
	write_byte( 200 ) // r, g, b
	write_byte( 200 ) // r, g, b
	write_byte( 200 ) // r, g, b 
	write_byte( 200 ) // brightness
	write_byte( 200 ) // speed
	message_end()

	//Sparks
	message_begin( MSG_PVS, SVC_TEMPENTITY,vec2)
	write_byte( 9 )
	write_coord( vec2[0] )
	write_coord( vec2[1] )
	write_coord( vec2[2] )
	message_end()
	
	//Smoke	
	message_begin( MSG_BROADCAST,SVC_TEMPENTITY,vec2)
	write_byte( 5 )
	write_coord(vec2[0])
	write_coord(vec2[1])
	write_coord(vec2[2])
	write_short( smoke )
	write_byte( 10 ) 
	write_byte( 10 ) 
	message_end()
	
}

public menu_option1(vIndex,keys)
{
	new kIndex = find_killer(vIndex)
	new vName[MAX_NAME_LENGTH]
	new kName[MAX_NAME_LENGTH]
	get_user_name(vIndex,vName,MAX_NAME_LENGTH)
	get_user_name(kIndex,kName,MAX_NAME_LENGTH)
	
	client_print(0,3,"* [ATAC]: %s has forgiven %s",vName,kName)
	MenuNeeded[vIndex] -= 1		
	TK[kIndex][vIndex] -= 1	
	if(MenuNeeded[vIndex] > 0) 
		query_menu()		
	return PLUGIN_HANDLED
}

public menu_option2(vIndex,keys)
{
	new kIndex = find_killer(vIndex)
	new vName[MAX_NAME_LENGTH]
	new kName[MAX_NAME_LENGTH]
	get_user_name(vIndex,vName,MAX_NAME_LENGTH)
	get_user_name(kIndex,kName,MAX_NAME_LENGTH)
	if (KickMe[kIndex] == get_cvar_num("atac_tk_before_ban") - 1) 
	{
		KickMe[kIndex] += 1
		check_v(kIndex) 
	}
	else
	{
		if (get_cvar_num("atac_option_slap") == 1)
		{
			client_print(0,3,"* [ATAC]: %s got slapped to %i life for TKing %s",kName,get_cvar_num("atac_slaped"),vName)
			MenuNeeded[vIndex] -= 1		
			TK[kIndex][vIndex] -= 1	
			if(MenuNeeded[vIndex] > 0) 
				query_menu()
			KickMe[kIndex] += 1
			check_v(kIndex) 
			// Slap Bit 
			new user_heath = get_user_health(kIndex)
			user_slap(kIndex,user_heath - get_cvar_num("atac_slaped"))	
		}
		else
			query_menu()
	}
	return PLUGIN_HANDLED
}

public menu_option3(vIndex,keys)
{
	new kIndex = find_killer(vIndex)
	new vName[MAX_NAME_LENGTH]
	new kName[MAX_NAME_LENGTH]
	get_user_name(vIndex,vName,MAX_NAME_LENGTH)
	get_user_name(kIndex,kName,MAX_NAME_LENGTH)
	if (get_cvar_num("atac_option_slay") == 1)
	{
		client_print(0,3,"* [ATAC]: %s is slayed for TKing %s",kName,vName)
		MenuNeeded[vIndex] -= 1		
		TK[kIndex][vIndex] -= 1	
		if(MenuNeeded[vIndex] > 0) 
			query_menu()
		KickMe[kIndex] += 1 
		check_v(kIndex)
		// Slay bit
		if (is_user_alive(kIndex) == 1) 
			slay(kIndex,1)	
	}
	else
		query_menu()
	return PLUGIN_HANDLED
}

public menu_option4(vIndex,keys)
{
	new kIndex = find_killer(vIndex)
	new vName[MAX_NAME_LENGTH]
	new kName[MAX_NAME_LENGTH]
	get_user_name(vIndex,vName,MAX_NAME_LENGTH)
	get_user_name(kIndex,kName,MAX_NAME_LENGTH)
	if (get_cvar_num("atac_option_slay_nr") == 1)
	{
		client_print(0,3,"* [ATAC]: %s will die next round for TKing %s",kName,vName)
		MenuNeeded[vIndex] -= 1 
		TK[kIndex][vIndex] -= 1	
		if(MenuNeeded[vIndex] > 0) 
			query_menu()
		gonnaDie[kIndex] += 1
		KickMe[kIndex] += 1
		check_v(kIndex)
	}
	else
		query_menu()
	return PLUGIN_HANDLED
}

public menu_option5(vIndex,keys)
{
	new kIndex = find_killer(vIndex)
	new vName[MAX_NAME_LENGTH]
	new kName[MAX_NAME_LENGTH]
	get_user_name(vIndex,vName,MAX_NAME_LENGTH)
	get_user_name(kIndex,kName,MAX_NAME_LENGTH)
	
	if (get_cvar_num("atac_option_jail") == 1)
	{
		client_print(0,3,"* [ATAC]: %s is in jail for %i seconds for TKing %s",kName,get_cvar_num("atac_jailtime"),vName)
		MenuNeeded[vIndex] -= 1	 
		TK[kIndex][vIndex] -= 1	
		if(MenuNeeded[vIndex] > 0) 
			query_menu()
		if (is_user_alive(kIndex) == 1) 
		{
			JailedCount += 1
			//set_user_origin bit
			new iwpn, iwpns[32]
			get_user_weapons(kIndex,iwpns,iwpn)
			for(new a = 0; a < iwpn;++a)
			{
				new nwpn[24]
				get_weaponname(iwpns[a],nwpn,24)
				engclient_cmd(kIndex,"drop",nwpn)
			}
			
			if (PlayerIsJailed[kIndex] == NO) 
			{
				if (get_cvar_num("atac_handlenames") == 1)
				{
					StoredPreJailName[kIndex] = kName
					client_cmd(kIndex,"name ^"Inmate #00%i^"",JailedCount)
				}
				PlayerIsJailed[kIndex] = YES					
			}
			
			if (file_exists("addons\amx\plugins\atac\atac.cor"))
			{
				new readdata[50]
				new currentmap[32]
				new jaillocation[3]
				new len
				get_mapname(currentmap,32)
				                              
				for(new i=0; i < 100 && read_file("addons\amx\plugins\atac\atac.cor",i,readdata,50,len) != 0; i += 1) 
				{
					read_file("addons\amx\plugins\atac\atac.cor",i,readdata,50,len)
					new map[32]
					new x[12]
					new y[12]
					new z[12]
					parse(readdata,map,32,x,12,y,12,z,12)
					if(equal(map,currentmap))
					{
						jaillocation[0] = str_to_num(x)
						jaillocation[1] = str_to_num(y)
						jaillocation[2] = str_to_num(z)
					}
				}
				get_user_origin(kIndex,PreJailOrigin[kIndex])
				PreJailOrigin[kIndex][2] += 5
				set_user_origin(kIndex,jaillocation)
				new skIndex[32]
				num_to_str(kIndex,skIndex,32)
				set_task(get_cvar_float("atac_jailtime"), "un_jail" , 0 , skIndex, 32)
				//client_print(0,print_console,"DEBUG: x:%i, y:%i, z:%i",jaillocation[0],jaillocation[1],jaillocation[2]) 
			}
		}
		KickMe[kIndex] += 1
		check_v(kIndex)
	}
	else
		query_menu()
	return PLUGIN_HANDLED
}

public menu_option6(vIndex,keys)
{
	new kIndex = find_killer(vIndex)
	new vName[MAX_NAME_LENGTH]
	new kName[MAX_NAME_LENGTH]
	get_user_name(vIndex,vName,MAX_NAME_LENGTH)
	get_user_name(kIndex,kName,MAX_NAME_LENGTH)
	
	if (get_cvar_num("atac_option_chicken") == 1)
	{
		client_print(0,3,"* [ATAC]: %s has been turned into a Chicken for TKing %s",kName,vName)
		MenuNeeded[vIndex] -= 1		
		TK[kIndex][vIndex] -= 1
		if(MenuNeeded[vIndex] > 0) 
			query_menu()
		if (is_user_alive(kIndex) == 1) 
		{
			//CHICKEN BIT
			ChickenCount += 1 
			emit_sound(kIndex,CHAN_ITEM, "misc/chicken0.wav", 1.0, ATTN_NORM, 0, PITCH_NORM)
			server_cmd("c_chicken # %i", kIndex)
			//Name Handle. Insures that name is not changed twice. 
			if (PlayerIsChicken[kIndex] == NO) 
			{
				if (get_cvar_num("atac_handlenames") == 1)
				{
					StoredPreChickenName[kIndex] = kName
					client_cmd(kIndex,"name ^"Chicken #00%i^"",ChickenCount)
				}
				PlayerIsChicken[kIndex] = YES					
			}
		}
		KickMe[kIndex] += 1
		check_v(kIndex)
	}
	else
		query_menu()
	return PLUGIN_HANDLED
}
public menu_option7(vIndex,keys)
{
	new kIndex = find_killer(vIndex)
	new vName[MAX_NAME_LENGTH]
	new kName[MAX_NAME_LENGTH]
	get_user_name(vIndex,vName,MAX_NAME_LENGTH)
	get_user_name(kIndex,kName,MAX_NAME_LENGTH)
	
	if (get_cvar_num("atac_option_bury") == 1)
	{
		client_print(0,3,"* [ATAC]: %s has buried %s for TKing him.",vName,kName)
		MenuNeeded[vIndex] -= 1		
		TK[kIndex][vIndex] -= 1	
		if(MenuNeeded[vIndex] > 0) 
			query_menu()
		if (is_user_alive(kIndex) == 1) 
		{
			//Bury Bit 
			new iwpn, iwpns[32]
			get_user_weapons(kIndex,iwpns,iwpn)
			for(new a = 0; a < iwpn;++a)
			{
				new nwpn[24]
				get_weaponname(iwpns[a],nwpn,24)
				engclient_cmd(kIndex,"drop",nwpn)
			}
			new origin[3]
			get_user_origin(kIndex, origin)
			origin[2] -= 30
			set_user_origin(kIndex, origin)
		}
		KickMe[kIndex] += 1 
		check_v(kIndex)
	}
	else
		query_menu()
	return PLUGIN_HANDLED
}

public menu_option8(vIndex,keys)
{
	new kIndex = find_killer(vIndex)
	new vName[MAX_NAME_LENGTH]
	new kName[MAX_NAME_LENGTH]
	get_user_name(vIndex,vName,MAX_NAME_LENGTH)
	get_user_name(kIndex,kName,MAX_NAME_LENGTH)
	if (get_cvar_num("atac_option_glow") == 1)
	{
		client_print(0,3,"* [ATAC]: %s has made %s glow pink for TKing him.",vName,kName)
		MenuNeeded[vIndex] -= 1
		TK[kIndex][vIndex] -= 1
		if(MenuNeeded[vIndex] > 0) 
			query_menu()
		KickMe[kIndex] += 1
		check_v(kIndex)
		//Glow bit
		set_user_rendering(kIndex,kRenderFxGlowShell,255,0,255,kRenderTransAlpha,255)
		PlayerIsGlowing[kIndex] = YES
	}
	else
		query_menu()
	return PLUGIN_HANDLED
}
public menu_option9(vIndex,keys)
{
	new kIndex = find_killer(vIndex)
	new vName[MAX_NAME_LENGTH]
	new kName[MAX_NAME_LENGTH]
	get_user_name(vIndex,vName,MAX_NAME_LENGTH)
	get_user_name(kIndex,kName,MAX_NAME_LENGTH)
	if (get_cvar_num("atac_option_bomb") == 1)
	{
		client_print(0,3,"* [ATAC]: %s has made %s a ticking time bomb for TKing him.",vName,kName)
		MenuNeeded[vIndex] -= 1 
		TK[kIndex][vIndex] -= 1
		if(MenuNeeded[vIndex] > 0) 
			query_menu()
		//TIME BOME BIT
		new skIndex[32]
		num_to_str(kIndex,skIndex,32)
		set_task( 1.0, "time_bomb", 0, skIndex, 32 )
		KickMe[kIndex] += 1
		check_v(kIndex)
	}
	else
		query_menu()
	return PLUGIN_HANDLED
}

map_cors_present()
{
	new corspresent 
	new len
	if(get_cvar_num("atac_option_jail") == ON) 
	{
		if (file_exists("addons\amx\plugins\atac\atac.cor"))
		{
			new readdata[50]
			new currentmap[32]
			get_mapname(currentmap,32)
			
			for(new i=0; i < 100 && read_file("addons\amx\plugins\atac\atac.cor",i,readdata,50,len) != 0; i += 1) 
			{
				read_file("addons\amx\plugins\atac\atac.cor",i,readdata,50,len)
				new map[32]
				new x[12]
				new y[12]
				new z[12]
				parse(readdata,map,32,x,12,y,12,z,12)
				if(equal(map,currentmap))
					corspresent = 1
			}	
		}				
	}
	return corspresent
}	
	
find_killer(vIndex)
{
	//Get Killer (if more than one killer, handle last one in array order first)
	new k
	new kIndex
	for(k = 1; k <= MAX_PLAYERS;k += 1) 
		if(TK[k][vIndex] > 0) 
			kIndex = k
	return kIndex
}

query_menu() 
{
	new kIndex
	new temp[64]
	//Ban menu 
	new finalmenuoption[1][64]
	if(get_cvar_num("atac_bantime") == 0 && get_cvar_num("atac_banvia") == 1 || get_cvar_num("atac_banvia") == 2) 
		finalmenuoption[0] = "2. Ban permanently"	
	else if(get_cvar_num("atac_bantime") != 0 && get_cvar_num("atac_banvia") == 1 || get_cvar_num("atac_banvia") == 2)
	{
		format(temp, 64, "2. Ban for \y%i\w minutes", get_cvar_num("atac_bantime"))
		finalmenuoption[0] = temp
	}
	else if(get_cvar_num("atac_banvia") == 3)
		finalmenuoption[0] = "2. Kick"
	//Regular Menu
	new menuoption[10][64]
	if(map_cors_present() == 0)
		set_cvar_num("atac_option_jail", 0)
	if(get_cvar_num("atac_option_chicken") == ON) 
		if(get_cvar_num("chicken_version")==0) 
			set_cvar_num("atac_option_chicken", 0)
	if (get_cvar_num("atac_option_slap") == 1)
	{
		format(temp, 64, "2. Slap to \y%i\w life", get_cvar_num("atac_slaped"))
		menuoption[0] = temp
	}
	if (get_cvar_num("atac_option_slay") == 1)
		menuoption[1] = "3. Slay Now"
	if (get_cvar_num("atac_option_slay_nr") == 1)
		menuoption[2] = "4. Slay Nextround"
	if (get_cvar_num("atac_option_jail") == 1)
	{
		format(temp, 64, "5. Jail for \y%i\w seconds", get_cvar_num("atac_jailtime"))
		menuoption[3] = temp
	}
	if (get_cvar_num("atac_option_chicken") == 1)
		menuoption[4] = "6. Turn into Chicken"
	if (get_cvar_num("atac_option_bury") == 1)
		menuoption[5] = "7. Bury"
	if (get_cvar_num("atac_option_glow") == 1)
		menuoption[6] = "8. Glow Pink"
	if (get_cvar_num("atac_option_bomb") == 1)
		menuoption[7] = "9. Timebomb"					
	
	//Check to see if someone needs the menu sent to them. 
	for(new v = 1; v <= MAX_PLAYERS;v += 1) 
		if(MenuNeeded[v] > 0) 
		{
			kIndex = find_killer(v)
			new kName[32]
			get_user_name(kIndex,kName,32)
			if (KickMe[kIndex] == get_cvar_num("atac_tk_before_ban") - 1)
			{
				new toshow[256]
				format(toshow,256,"[ATAC] Choose Punishment for^n\y%s^n^n\w1. Forgive^n%s",kName,finalmenuoption[0])
				new keys = (1<<0)|(1<<1) /* set bits for keys: 1, 2 and 0 */
				show_menu(v,keys,toshow) 
			}				
			else
			{
				new toshow[512]
				format(toshow,512,"[ATAC] Choose Punishment for^n\y%s^n^n\w1. Forgive^n%s^n%s^n%s^n%s^n%s^n%s^n%s^n%s",kName,menuoption[0],menuoption[1],menuoption[2],menuoption[3],menuoption[4],menuoption[5],menuoption[6],menuoption[7])
				new keys = (1<<0)|(1<<1)|(1<<2)|(1<<3)|(1<<4)|(1<<5)|(1<<6)|(1<<7)|(1<<8) /* set bits for keys: 1, 2 and 0 */
				show_menu(v,keys,toshow)
			}
		}
}

public death_msg(id)
{	
	if (get_cvar_num("atac_tkcontrol") == 1) 
	{
		new kIndex = read_data(1)
		new vIndex = read_data(2)
		if ( kIndex && (kIndex!=vIndex) ) 
		{
			if (get_user_team(kIndex)==get_user_team(vIndex)) /* check indexes of teams*/
			{
				if(get_user_flags(kIndex)&ADMIN_IMMUNITY && get_cvar_num("atac_admins_immune") == YES ) 
					client_print(0,print_console,"* [ATAC]: Sorry, You can't punish admins.")				
				else
				{
					//Store who killed who for menu.
					TK[kIndex][vIndex] += 1 					
					//Store who killed who for history.
					TKHistory[kIndex][vIndex] += 1				
					//Menu is now needed for this victim.
					MenuNeeded[vIndex] += 1					
					query_menu()
				}
			}
		}
	}
	return PLUGIN_CONTINUE
}

public say_tastatus(id)
{
	client_print(id,print_chat,"* [ATAC]: You have %i/%i allowable TA's this round",TA[id], get_cvar_num("atac_ta_equal_v"))	
	return PLUGIN_HANDLED
}

public say_tkstatus(id)
{
	client_print(id,print_chat,"* [ATAC]: You have %i/%i allowable Team Kill Violations",KickMe[id],get_cvar_num("atac_tk_before_ban"))	
	return PLUGIN_HANDLED
}	

public say_whotkedme(id)
{
	client_print(id,print_chat,"* [ATAC] Start of who TKed me (Player/TKed Me x Times)")	
	//Look at all killers see if Victims Macth 
	for(new k = 1; k <= MAX_PLAYERS; ++k ) 
		if(TKHistory[k][id] > 0 ) 
		{
			new kName[32]
			get_user_name(k,kName,32)	
			client_print(id,print_chat,"     %s - %i",kName,TKHistory[k][id])
		} 
	client_print(id,print_chat,"* [ATAC] End of who TKed me")
	return PLUGIN_HANDLED
}

public addmetk(id)
{
	//draw_menu(id,id,1)
	MenuNeeded[id] += 1
	TK[id][id] += 1
	TKHistory[id][id] += 1
	query_menu()
	client_print(id,print_console,"Addmetk called. Your Team # is %i",get_user_team(id))
	return PLUGIN_CONTINUE
}

public plugin_precache()
{
	light = precache_model("sprites/lgtning.spr")
	smoke = precache_model("sprites/steam1.spr")
	white = precache_model("sprites/white.spr")
	fire = precache_model("sprites/fexplo.spr")
	precache_sound("ambience/thunder_clap.wav")
	precache_sound("misc/chicken0.wav")
	return PLUGIN_CONTINUE
}

public plugin_init()
{
	register_plugin("amx_atac","2.4.2","f117bomb")
	gMenu = register_menuid("ATAC") /* register menu */
	register_menucmd(gMenu,(1<<0),"menu_option1") /* register some menu options */
	register_menucmd(gMenu,(1<<1),"menu_option2")
	register_menucmd(gMenu,(1<<2),"menu_option3")
	register_menucmd(gMenu,(1<<3),"menu_option4") 
	register_menucmd(gMenu,(1<<4),"menu_option5")
	register_menucmd(gMenu,(1<<5),"menu_option6")
	register_menucmd(gMenu,(1<<6),"menu_option7") 
	register_menucmd(gMenu,(1<<7),"menu_option8")
	register_menucmd(gMenu,(1<<8),"menu_option9")
	register_clcmd("amx_addmetk","addmetk",ADMIN_LEVEL_A,"amx_addmetk")
	register_clcmd("say /tkstatus","say_tkstatus")
	register_clcmd("say /tastatus","say_tastatus")
	register_clcmd("say /whotkedme","say_whotkedme")
	register_event("DeathMsg","death_msg","a")
	register_event("Damage", "damage_msg", "b", "2!0", "3=0", "4!0")
	register_event("RoundTime", "Round_Time", "bc")
	register_cvar("atac_option_slap","1")
	register_cvar("atac_slaped","9")	
	register_cvar("atac_option_slay","1")
	register_cvar("atac_option_slay_nr","1")
	register_cvar("atac_option_jail","1")
	register_cvar("atac_jailtime","40.0")
	register_cvar("atac_option_chicken","1")
	register_cvar("atac_option_bury","1")
	register_cvar("atac_option_glow","1")
	register_cvar("atac_option_bomb","1")
	register_cvar("atac_explosion_ap","1")
	register_cvar("atac_explosion_range","1000")
	register_cvar("atac_bantime","120")
	register_cvar("atac_banvia","1")
	register_cvar("atac_tk_before_ban","3")
	register_cvar("atac_handlenames","1")
	register_cvar("atac_tacontrol","1")
	register_cvar("atac_tanotallowedfor","5")
	register_cvar("atac_slayonmaxtas","1")
	register_cvar("atac_ta_equal_v","4")
	register_cvar("atac_ta_slap","1")
	register_cvar("atac_ta_mirrordmg","1")
	register_cvar("atac_ta_restore","1")
	register_cvar("atac_tkcontrol","1")
	register_cvar("atac_tk_slaps","10")
	register_cvar("atac_admins_immune","1")
	server_cmd("exec addons/amx/plugins/atac/atac.cfg")
	server_cmd("mp_tkpunish 0")
	server_cmd("mp_autokick 0")
	//For gamespy and such
	register_cvar("atac_version", "2.4.2",FCVAR_SERVER)
	//For Statsme Modt
	server_cmd("localinfo atac_version 2.4.2")
	return PLUGIN_CONTINUE
}